import { OnboardingStep, OnboardingOptions } from "./types";
export declare class Onboarding {
    private steps;
    private options;
    private currentStep;
    private overlay;
    private highlightedElement;
    constructor(steps: OnboardingStep[], options?: OnboardingOptions);
    start(): void;
    private createOverlay;
    next(): void;
    private handleKeyDown;
    private setupKeyboardNavigation;
    private showStep;
    private renderMedia;
    private highlightElement;
    private addPulseAnimation;
    private positionTooltip;
    private clearHighlight;
    private complete;
    private launchConfetti;
}
